
Figure - Bug #118967
【AF】【DVT】【eth】【偶现】KL15 断电-上电压测后，出现中控网络图标未同步
2023-07-03 18:14 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-07-03

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0116

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-07-11

Test Type: ST Root cause: WIFI 同步问题。

Description

【测试版本】

中控0092

副屏0116

【测试步骤】

1、KL15 断电-上电压测后

2、副屏重启后，查看副屏时间及网络图标显示

->中控网络满格，副屏网络0格，时间不同步

【恢复方式】

1. 重启之后网络、时间、音量、亮度均正常同步

2. 手动调节一次音量，副屏马上同步了网络信号

Related issues:

Related to Figure - Bug # 118950: 【AF】【EVT3】【中控联调】 OTA升级后... CLOSED 2023-06-30

History

#1 - 2023-07-04 19:10 - CD FW 曹覃刚

- Category changed from BSP to CD-FW

#2 - 2023-07-05 11:42 - CD FW-廖涛

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST

■ Current conclusion

从目前的日志看，每次开机后，微服务启动正常，并且在与中控建立连接后，正常同步了时间和网络信号。

目前通过其他网络同步相关问题分析，出现 WIFI 信号展示不正确的问题可能是信号同步成功，但是状态栏图标设置失败的情况。

■ Next action

该问题需要帮忙复现，然后保留现场。

如出现相同问题，需要确认的现象如下：

1. 时间是否与中控同步？

2. 是否可以上网？
3. 中控是否可以通过微服务控制副屏（音量、息屏等）？

4. WIFI 图标是否可以恢复？

#3 - 2023-07-09 11:45 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD FW-廖涛

问题已经复现，现场调查后需要与中控沟通

#4 - 2023-07-09 12:07 - CD FW-廖涛

■ Current conclusion

从复现日志看，快速断电然后上电，中控未给副屏同步 WIFI 信号，导致副屏 WIFI 图标展示不正确。

■ Next action

需要与中控讨论优化方案。

#5 - 2023-07-11 20:26 - CD FW-廖涛

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Need_Info changed from TEST to --

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-07-11

- Root cause set to WIFI 同步问题。

■ Current conclusion

已处理，代码已入库。提交：https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/VehicleControl/+/214033

■ My analysis

处理方式：微服务与中控处于连接状态，微设定绑定微服务成功后，主动请求中控获取 Wifi 与热点信息。

■ Next action

测试验证。

#6 - 2023-07-13 17:52 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

DB_0712：压测断电-重启、adb reboot\OTA升级合计20次未复现

DB_0713：压测断电-重启、adb reboot\OTA升级合计20次未复现

#7 - 2023-07-13 17:52 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
